For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Payments
              • GETGet Payment Detail
              • DELDelete Payment
              • GETGet Payment Operation
              • POSTPerform Payment Operation
              • PUTUpdate Payment Processing Status
              • GETList Payment Transactions
              • POSTCreate Offline Payment
              • PUTUpdate Offline Payment
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementPayments

Get Payment Operation

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/:paymentId/operations
GET
/api/v3/io/ip/payments/:paymentId/operations
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/1.1/operations \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "allowedOperations": [],
5 "allowedStatuses": [
6 "1",
7 "2",
8 "3",
9 "4"
10 ]
11 },
12 "meta": {
13 "message": "Success"
14 }
15}
Get a payment for all operations
Was this page helpful?
Previous

Delete Payment

Next

Perform Payment Operation

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

paymentIddoubleRequired
Payment ID

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error